clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::minimize_source_to_dependency_directives::Token Struct Reference

Represents a simplified token that's lexed as part of the source minimization. More...

`#include "clang/Lex/DependencyDirectivesSourceMinimizer.h"`

Collaboration diagram for clang::minimize_source_to_dependency_directives::Token:
[legend]

## Public Member Functions
| Token (TokenKind K, int Offset)

## Public Attributes
TokenKind | K = pp_none
| The kind of token. More...
int | Offset = -1
| Offset into the output byte stream of where the directive begins. More...

## Detailed Description

Represents a simplified token that's lexed as part of the source minimization.

It's used to track the location of various preprocessor directives that could potentially have an effect on the depedencies.

Definition at line 59 of file DependencyDirectivesSourceMinimizer.h.

## Constructor & Destructor Documentation

## ◆ Token()

clang::minimize_source_to_dependency_directives::Token::Token | ( | TokenKind | K,
|  | int | Offset
| ) |  |
| inline

Definition at line 66 of file DependencyDirectivesSourceMinimizer.h.

## Member Data Documentation

## ◆ K

TokenKind clang::minimize_source_to_dependency_directives::Token::K = pp_none

The kind of token.

Definition at line 61 of file DependencyDirectivesSourceMinimizer.h.

## ◆ Offset

int clang::minimize_source_to_dependency_directives::Token::Offset = -1

Offset into the output byte stream of where the directive begins.

Definition at line 64 of file DependencyDirectivesSourceMinimizer.h.

The documentation for this struct was generated from the following file:

- include/clang/Lex/DependencyDirectivesSourceMinimizer.h